GzipInterceptorMBean (Apache Tomcat 9.0.121 API Documentation)
Description: declaration: package: org.apache.catalina.tribes.group.interceptors, interface: GzipInterceptorMBean

# Interface GzipInterceptorMBean

All Known Implementing Classes:
  `GzipInterceptor`

public interface GzipInterceptorMBean
MBean interface for managing a GzipInterceptor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getCompressedSizeRX()`
  Returns the total compressed received data size in bytes.
  `long`
  `getCompressedSizeTX()`
  Returns the total compressed transmitted data size in bytes.
  `int`
  `getCompressionMinSize()`
  Returns the minimum payload size for compression to be enabled.
  `int`
  `getCount()`
  Returns the total message count.
  `int`
  `getCountCompressedRX()`
  Returns the count of compressed received messages.
  `int`
  `getCountCompressedTX()`
  Returns the count of compressed transmitted messages.
  `int`
  `getCountUncompressedRX()`
  Returns the count of uncompressed received messages.
  `int`
  `getCountUncompressedTX()`
  Returns the count of uncompressed transmitted messages.
  `int`
  `getInterval()`
  Returns the number of messages between statistics reports being written to the log.
  `int`
  `getOptionFlag()`
  Returns the option flag used by this interceptor.
  `long`
  `getSizeRX()`
  Returns the total received data size in bytes.
  `long`
  `getSizeTX()`
  Returns the total transmitted data size in bytes.
  `boolean`
  `getStatsEnabled()`
  Returns whether the interceptor is configured to collect statistics.
  `long`
  `getUncompressedSizeRX()`
  Returns the total uncompressed received data size in bytes.
  `long`
  `getUncompressedSizeTX()`
  Returns the total uncompressed transmitted data size in bytes.
  `void`
  `report()`
  Writes the current statistics report to the log.
  `void`
  `reset()`
  Resets all statistics counters to zero.
  `void`
  `setCompressionMinSize(int compressionMinSize)`
  Set the minimum payload size for compression to be enabled.
  `void`
  `setInterval(int interval)`
  If statistics collection is enabled, set the number of messages between statistics reports being written to the log.
  `void`
  `setOptionFlag(int optionFlag)`
  Sets the option flag used by this interceptor.
  `void`
  `setStatsEnabled(boolean statsEnabled)`
  Configure whether the interceptor collects statistics.

- ## Method Details

  - ### getOptionFlag

    int getOptionFlag()
    Returns the option flag used by this interceptor.
    Returns:
      The option flag value

  - ### setOptionFlag

    void setOptionFlag(int optionFlag)
    Sets the option flag used by this interceptor.
    Parameters:
      `optionFlag` - The new option flag value

  - ### getCompressionMinSize

    int getCompressionMinSize()
    Returns the minimum payload size for compression to be enabled.
    Returns:
      The minimum payload size in bytes

  - ### setCompressionMinSize

    void setCompressionMinSize(int compressionMinSize)
    Set the minimum payload size for compression to be enabled. A value of zero or less means compression will always be used. If not explicitly configured, a default of zero will be used.
    Parameters:
      `compressionMinSize` - The new minimum payload size

  - ### getStatsEnabled

    boolean getStatsEnabled()
    Returns whether the interceptor is configured to collect statistics.
    Returns:
      `true` if statistics collection is enabled, otherwise `false`

  - ### setStatsEnabled

    void setStatsEnabled(boolean statsEnabled)
    Configure whether the interceptor collects statistics.
    Parameters:
      `statsEnabled` - `true` to enable statistics collections, otherwise `false`

  - ### getInterval

    int getInterval()
    Returns the number of messages between statistics reports being written to the log.
    Returns:
      The interval between statistics reports

  - ### setInterval

    void setInterval(int interval)
    If statistics collection is enabled, set the number of messages between statistics reports being written to the log. A value of zero or less means no statistics reports are written.
    Parameters:
      `interval` - The new interval between reports

  - ### getCount

    int getCount()
    Returns the total message count.
    Returns:
      Total number of messages processed

  - ### getCountCompressedTX

    int getCountCompressedTX()
    Returns the count of compressed transmitted messages.
    Returns:
      Number of compressed TX messages

  - ### getCountUncompressedTX

    int getCountUncompressedTX()
    Returns the count of uncompressed transmitted messages.
    Returns:
      Number of uncompressed TX messages

  - ### getCountCompressedRX

    int getCountCompressedRX()
    Returns the count of compressed received messages.
    Returns:
      Number of compressed RX messages

  - ### getCountUncompressedRX

    int getCountUncompressedRX()
    Returns the count of uncompressed received messages.
    Returns:
      Number of uncompressed RX messages

  - ### getSizeTX

    long getSizeTX()
    Returns the total transmitted data size in bytes.
    Returns:
      Total TX size in bytes

  - ### getCompressedSizeTX

    long getCompressedSizeTX()
    Returns the total compressed transmitted data size in bytes.
    Returns:
      Total compressed TX size in bytes

  - ### getUncompressedSizeTX

    long getUncompressedSizeTX()
    Returns the total uncompressed transmitted data size in bytes.
    Returns:
      Total uncompressed TX size in bytes

  - ### getSizeRX

    long getSizeRX()
    Returns the total received data size in bytes.
    Returns:
      Total RX size in bytes

  - ### getCompressedSizeRX

    long getCompressedSizeRX()
    Returns the total compressed received data size in bytes.
    Returns:
      Total compressed RX size in bytes

  - ### getUncompressedSizeRX

    long getUncompressedSizeRX()
    Returns the total uncompressed received data size in bytes.
    Returns:
      Total uncompressed RX size in bytes

  - ### reset

    void reset()
    Resets all statistics counters to zero.

  - ### report

    void report()
    Writes the current statistics report to the log.